summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author sero <firebird209 at gmail dot com>2011-12-09 21:42:47 -0200
committer Niels Horn <niels.horn@slackbuilds.org>2011-12-09 21:42:47 -0200
commit8ad13a250be0429c33e5b3084e7267cf37e21acb (patch)
tree30ca839a5bf94348f2bf2c59fe754091fe6d3d63
parentdd537f68787fa4c01761a2b4fa59ae2878e6fe12 (diff)
downloadslackbuilds-8ad13a250be0429c33e5b3084e7267cf37e21acb.tar.gz
slackbuilds-8ad13a250be0429c33e5b3084e7267cf37e21acb.tar.xz
network/weechat: Updated for version 0.3.6 (+new maintainer)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--network/weechat/weechat-0.3.6-set_pkgconfig_libdir_on_x86_64.diff (renamed from network/weechat/weechat-0.3.2-set_pkgconfig_libdir_on_x86_64.diff)7
-rw-r--r--network/weechat/weechat.SlackBuild30
-rw-r--r--network/weechat/weechat.info12
3 files changed, 21 insertions, 28 deletions
diff --git a/network/weechat/weechat-0.3.2-set_pkgconfig_libdir_on_x86_64.diff b/network/weechat/weechat-0.3.6-set_pkgconfig_libdir_on_x86_64.diff
index 3c8e6c4e2e..9392e429d5 100644
--- a/network/weechat/weechat-0.3.2-set_pkgconfig_libdir_on_x86_64.diff
+++ b/network/weechat/weechat-0.3.6-set_pkgconfig_libdir_on_x86_64.diff
@@ -1,7 +1,6 @@
-diff -Nur weechat-0.3.2.orig//CMakeLists.txt weechat-0.3.2/CMakeLists.txt
---- weechat-0.3.2.orig//CMakeLists.txt 2010-04-17 04:24:46.000000000 -0500
-+++ weechat-0.3.2/CMakeLists.txt 2010-05-13 01:02:38.829782889 -0500
-@@ -108,7 +108,7 @@
+--- weechat-0.3.6.orig/CMakeLists.txt 2011-11-21 17:53:12.844999997 -0600
++++ weechat-0.3.6/CMakeLists.txt 2011-11-21 17:55:38.489001849 -0600
+@@ -114,7 +114,7 @@
SET(PACKAGE "${PROJECT_NAME}")
SET(prefix "${CMAKE_INSTALL_PREFIX}")
SET(exec_prefix "\${prefix}")
diff --git a/network/weechat/weechat.SlackBuild b/network/weechat/weechat.SlackBuild
index 30661cb917..bda74bee86 100644
--- a/network/weechat/weechat.SlackBuild
+++ b/network/weechat/weechat.SlackBuild
@@ -1,20 +1,17 @@
#!/bin/sh
-## Written by hollywoodb (hollywoodb@fastmail.fm)
-# Modified by the SlackBuilds.org project
-# Modified for Slackware 13 and V0.3.2 by oliver_dot_mauras_AT_gmail_dot_com
+# Originally written by hollywoodb (hollywoodb@fastmail.fm)
+# Maintained by sero (firebird209 at gmail dot com)
PRGNAM=weechat
-VERSION=0.3.2
+VERSION=0.3.6
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -43,14 +40,14 @@ set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
-rm -rf $TMP/$PRGNAM-$VERSION
+rm -rf $PRGNAM-$VERSION
tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R u+w,go+r-w,a-s .
if [ "$ARCH" = "x86_64" ]; then
- patch -p1 < $CWD/weechat-0.3.2-set_pkgconfig_libdir_on_x86_64.diff || exit 1
+ patch -p1 < $CWD/weechat-0.3.6-set_pkgconfig_libdir_on_x86_64.diff || exit 1
fi
mkdir build
@@ -58,29 +55,26 @@ cd build
cmake \
-DPREFIX=/usr \
-DLIBDIR=/usr/lib${LIBDIRSUFFIX} \
- -DCMAKE_BUILD_TYPE=Debug \
- -DCFLAGS="$SLKCFLAGS" \
- -DCXXFLAGS="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS="$SLKCFLAGS" \
..
- make
+ make VERBOSE=1
make install DESTDIR=$PKG
cd ..
# Make the binary and manpage required for this a bit more obvious
( cd $PKG/usr/bin ; ln -s weechat-curses weechat )
-( mv $PKG/usr/share/man $PKG/usr/man/ )
+mv $PKG/usr/share/man $PKG/usr/man/
( cd $PKG/usr/man/man1 ; ln -s weechat-curses.1 weechat.1 )
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-( cd $PKG/usr/man
- find . -type f -exec gzip -9 {} \;
- for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
-)
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README ABOUT-NLS UPGRADE_0.3 $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/network/weechat/weechat.info b/network/weechat/weechat.info
index 2b0b62c2a1..d4eb3342ef 100644
--- a/network/weechat/weechat.info
+++ b/network/weechat/weechat.info
@@ -1,10 +1,10 @@
PRGNAM="weechat"
-VERSION="0.3.2"
+VERSION="0.3.6"
HOMEPAGE="http://www.weechat.org"
-DOWNLOAD="http://www.weechat.org/files/src/weechat-0.3.2.tar.bz2"
-MD5SUM="b0b00b321203dd5746a25248a9adaa92"
+DOWNLOAD="http://www.weechat.org/files/src/weechat-0.3.6.tar.bz2"
+MD5SUM="db2392b8e31738f79f0898f77eda8daa"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-MAINTAINER="Coredumb"
-EMAIL="oliver.mauras@gmail.com"
-APPROVED="rworkman"
+MAINTAINER="sero"
+EMAIL="firebird209 at gmail dot com"
+APPROVED="rworkman,Niels Horn"